%define _enable_debug_packages %{nil}
%define debug_package          %{nil}
Name:		ii
Version:	1.8
Release:	%mkrel 3
Group:		Networking/Other
URL:		http://tools.suckless.org/ii
License:	MIT
Source0:	http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Summary:	Minimalist FIFO and filesystem-based IRC client
%description
ii is a minimalist FIFO and filesystem-based IRC client. It creates an
irc directory tree with server, channel and nick name directories. In
every directory a FIFO in file and a normal out file is created.

The in file is used to communicate with the servers and the out files
contain the server messages. For every channel and every nick name there
are related in and out files created. This allows IRC communication from
command line and adheres to the Unix philosophy. example

Join a channel as follows: $ echo "/j #wmii" > in and ii creates a
new #wmii (channel) directory with in and out files.

It consists of <= 500 lines of code and is the big brother of sic (simple
irc client).

%prep
%setup -q

%build
make

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%{__rm} -Rf $RPM_BUILD_ROOT/usr/share/doc/ii

%files
%doc README LICENSE FAQ
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*





%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.8-3.mga8
+ Revision: 1513607
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.8-2.mga7
+ Revision: 1298286
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 kekepower <kekepower> 1.8-1.mga7
+ Revision: 1214810
- Update to version 1.8

* Fri Feb 05 2016 umeabot <umeabot> 1.7-5.mga6
+ Revision: 938977
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 741876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-3.mga5
+ Revision: 680476
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7-2.mga4
+ Revision: 536715
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 boklm <boklm> 1.7-1.mga4
+ Revision: 485408
- Version 1.7

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 354285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 boklm <boklm> 1.6-1.mga1
+ Revision: 61008
- version 1.6
- imported package ii


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-3mdv2011.0
+ Revision: 619612
- the mass rebuild of 2010.0 packages

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 1.4-2mdv2010.0
+ Revision: 437956
- rebuild

* Fri Mar 20 2009 Nicolas Vigier <nvigier@mandriva.com> 1.4-1mdv2009.1
+ Revision: 359083
- version 1.4

* Fri Feb 13 2009 Michael Scherer <misc@mandriva.org> 1.3-4mdv2009.1
+ Revision: 340023
- new url

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3-3mdv2009.0
+ Revision: 247212
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 1.3-1mdv2008.1
+ Revision: 168420
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 13 2007 Nicolas Vigier <nvigier@mandriva.com> 1.3-1mdv2008.0
+ Revision: 62425
- new version 1.3

* Tue Jun 19 2007 Nicolas Vigier <nvigier@mandriva.com> 1.1-1mdv2008.0
+ Revision: 41290
- Import ii

